package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import com.jasamedika.medifirst2000.base.vo.BaseModelVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class HabsenVO extends BaseModelVO {

	@Caption(value = "tr_no")
	private Integer tr_no;

	@Caption(value = "loc_code")
	private String loc_code;

	@Caption(value = "remoteno")
	private Integer remoteno;

	@Caption(value = "tr_date")
	private Date tr_date;

	@Caption(value = "tr_time")
	private Date tr_time;
	
	@Caption(value = "Pegawai")
	private PegawaiVO pegawai;

	@Caption(value = "empl_code")
	private String empl_code;

	@Caption(value = "acc_code")
	private String acc_code;

	@Caption(value = "processtatus")
	private Integer processtatus;

	@Caption(value = "ip_addr")
	private String ip_addr;

	@Caption(value = "client_ip_addr")
	private String clientIPAddress;

	@Caption(value = "latitude")
	private Double latitude;

	@Caption(value = "longitude")
	private Double longitude;

	@Caption(value = "akurasi")
	private Integer akurasi;

	@Caption(value = "lokasi")
	private String lokasi;

	@Caption(value = "Jenis Presensi")
	private Integer jenisPresensi;
	
	@Caption(value = "Image URL Data")
	private String imageURLData;

	/**
	 * 0. Presensi keluar/pulang<br/>
	 * 1. Presensi masuk
	 */
	@Caption(value = "Tag")
	private Short tag;

	public Integer getTr_no() {
		return tr_no;
	}

	public void setTr_no(Integer tr_no) {
		this.tr_no = tr_no;
	}

	public String getLoc_code() {
		return loc_code;
	}

	public void setLoc_code(String loc_code) {
		this.loc_code = loc_code;
	}

	public Integer getRemoteno() {
		return remoteno;
	}

	public void setRemoteno(Integer remoteno) {
		this.remoteno = remoteno;
	}

	public Date getTr_date() {
		return tr_date;
	}

	public void setTr_date(Date tr_date) {
		this.tr_date = tr_date;
	}

	public Date getTr_time() {
		return tr_time;
	}

	public void setTr_time(Date tr_time) {
		this.tr_time = tr_time;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public String getEmpl_code() {
		return empl_code;
	}

	public void setEmpl_code(String empl_code) {
		this.empl_code = empl_code;
	}

	public String getAcc_code() {
		return acc_code;
	}

	public void setAcc_code(String acc_code) {
		this.acc_code = acc_code;
	}

	public Integer getProcesstatus() {
		return processtatus;
	}

	public void setProcesstatus(Integer processtatus) {
		this.processtatus = processtatus;
	}

	public String getIp_addr() {
		return ip_addr;
	}

	public void setIp_addr(String ip_addr) {
		this.ip_addr = ip_addr;
	}

	public String getClientIPAddress() {
		return clientIPAddress;
	}

	public void setClientIPAddress(String clientIPAddress) {
		this.clientIPAddress = clientIPAddress;
	}

	public Double getLatitude() {
		return latitude;
	}

	public void setLatitude(Double latitude) {
		this.latitude = latitude;
	}

	public Double getLongitude() {
		return longitude;
	}

	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}

	public Integer getAkurasi() {
		return akurasi;
	}

	public void setAkurasi(Integer akurasi) {
		this.akurasi = akurasi;
	}

	public String getLokasi() {
		return lokasi;
	}

	public void setLokasi(String lokasi) {
		this.lokasi = lokasi;
	}

	public Integer getJenisPresensi() {
		return jenisPresensi;
	}

	public void setJenisPresensi(Integer jenisPresensi) {
		this.jenisPresensi = jenisPresensi;
	}

	public String getImageURLData() {
		return imageURLData;
	}

	public void setImageURLData(String imageURLData) {
		this.imageURLData = imageURLData;
	}

	public Short getTag() {
		return tag;
	}

	public void setTag(Short tag) {
		this.tag = tag;
	}

}
